import { CSSProperties } from 'react';

export interface MonacoEditorProps {
    className: string | undefined;
    style?: CSSProperties;
    theme?: string;
    value: string;
    language: string;
    onChange?: (newValue: string) => void;
    height?: string;
    lineNumbers?: boolean;
    fontSize?: number;
    minimap?: boolean;
    monacoVersion?: string;
    requirejsVersion?: string;
}
export declare function AddCSSVariables(varnames: string[]): void;
export declare function MonacoEditor(props: MonacoEditorProps): import("react/jsx-runtime").JSX.Element | null;
